---@meta

---@class ABP_Lighting02SpotLight_Template_C : AB1GameObject
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SpotLight USpotLightComponent
---@field Box UBoxComponent
---@field Billboard UBillboardComponent
---@field StaticMesh UStaticMeshComponent
---@field LFMaterial UMaterialInstanceDynamic
---@field LFNonGIMaterial UMaterialInstanceDynamic
---@field NonGILightOffset FVector
local ABP_Lighting02SpotLight_Template_C = {}

function ABP_Lighting02SpotLight_Template_C:ReceiveBeginPlay() end
---@param GlobalIlluminationQuality int32
function ABP_Lighting02SpotLight_Template_C:ReceiveGameOptionChanged(GlobalIlluminationQuality) end
---@param EntryPoint int32
function ABP_Lighting02SpotLight_Template_C:ExecuteUbergraph_BP_Lighting02SpotLight_Template(EntryPoint) end


